| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Rndm::Exponential Class Reference

Parameters for the Gauss random number generation. More...

`#include <GaudiKernel/RndmGenerators.h>`

Inheritance diagram for Rndm::Exponential:
[legend]
Collaboration diagram for Rndm::Exponential:
[legend]

## Public Member Functions
| Exponential (double m)
| Standard Constructor. More...
| ~Exponential () override=default
| Standard Destructor. More...
double | mean () const
| Access mean value of the distribution. More...
Exponential * | clone () const override
| Clone parameters. More...
Public Member Functions inherited from IRndmGen::Param
| Param (const InterfaceID &type=IID_IRndmFlat)
| Standard constructor. More...
virtual | ~Param ()=default
| Standard Destructor. More...
virtual const InterfaceID & | type () const
| Parameter's type. More...

## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory. More...

## Protected Attributes
double | m_mean
| Mean value of the exponential distribution. More...
Protected Attributes inherited from IRndmGen::Param
const InterfaceID | m_type
| Type of the generator. More...

## Detailed Description

Parameters for the Gauss random number generation.

Definition at line 50 of file RndmGenerators.h.

## Constructor & Destructor Documentation

Rndm::Exponential::Exponential | ( | double | m | ) |
| inline

Standard Constructor.

Definition at line 58 of file RndmGenerators.h.

58 : IRndmGen::Param( IID_IRndmExponential ), m_mean( m ) {}
Rndm::Exponential::m_mean
double m_mean
Mean value of the exponential distribution.
Definition: RndmGenerators.h:54
IRndmGen::Param
Definition: IRndmGen.h:40
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:94

Rndm::Exponential::~Exponential | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

Exponential* Rndm::Exponential::clone | ( |  | ) | const
| inline override virtual

Clone parameters.

Implements IRndmGen::Param.

Definition at line 66 of file RndmGenerators.h.

66 { return new Exponential( m_mean ); }
Rndm::Exponential::m_mean
double m_mean
Mean value of the exponential distribution.
Definition: RndmGenerators.h:54
Rndm::Exponential::Exponential
Exponential(double m)
Standard Constructor.
Definition: RndmGenerators.h:58

double Rndm::Exponential::mean | ( |  | ) | const
| inline

Access mean value of the distribution.

Definition at line 62 of file RndmGenerators.h.

62 { return m_mean; }
Rndm::Exponential::m_mean
double m_mean
Mean value of the exponential distribution.
Definition: RndmGenerators.h:54

static const InterfaceID& Rndm::Exponential::typeID | ( |  | ) |
| inline static

Identifier for factory.

Definition at line 64 of file RndmGenerators.h.

64 { return IID_IRndmExponential; }

## Member Data Documentation

double Rndm::Exponential::m_mean
| protected

Mean value of the exponential distribution.

Definition at line 54 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/RndmGenerators.h